Bug 1646688 - bad hinting instructions from bug in ttfautohint
Summary: bad hinting instructions from bug in ttfautohint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-devanagari-fonts
Version: 29
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1646687
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-05 20:53 UTC by Hin-Tak Leung
Modified: 2019-08-26 00:51 UTC (History)
7 users (show)

Fixed In Version: lohit-devanagari-fonts-2.95.4-8.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1646687
Environment:
Last Closed: 2019-08-26 00:51:48 UTC


Attachments (Terms of Use)

Description Hin-Tak Leung 2018-11-05 20:53:10 UTC
You will need to use a bug-fixed ttfautohint to re-generate the lohit devanagari font.

Version affected:
lohit-devanagari-fonts-2.95.4-5.fc29.noarch

+++ This bug was initially created as a clone of Bug #1646687 +++

Description of problem:

This was discussed in freetype-devel for much of early October under the thread "rendering issues with xpdf (and other viewers)".

upstream patch (this was applied after 1.8.2) - you will need to push this to all the fonts affected - in particular, lohit-devanagari-fonts-2.95.4-5.fc29.noarch

commit f18b7c859c92111446ca991743dd709e347d0301 (HEAD -> master, origin/master, origin/HEAD)
Author: Werner Lemberg <wl@gnu.org>
Date:   Sat Oct 6 09:04:35 2018 +0200

    tafpgm.c: Fix stem width offset handling in storage area.
    
    Problem reported by Hin-Tak Leung <htl10@users.sourceforge.net>.


Version-Release number of selected component (if applicable):
ttfautohint-1.8.1-4.fc29.x86_64

How reproducible:
Always

Steps to Reproduce:
1. "ftview 53 /usr/share/fonts/lohit-devanagari/Lohit-Devanagari.ttf"
2. navigate to glyph idx 472 with F9/F10/F11/F12
3. use up/down arrow key to see that the circular ring of 12 dots disappears and becomes 3 dots, etc. 

Actual results:
3 dots and fewer than 12 dots for many sizes below about 60.


Expected results:
12 dots for idx 472 at all sizes.

Additional info:
This was discussed on freetype-devel for much of early October under 'rendering issues with xpdf (and other viewers)'

Comment 1 Yaakov Selkowitz 2018-11-07 06:21:02 UTC
ttfautohint-1.8.2-1.fc29 is available in testing; a buildroot override will need to be created when you are ready to rebuild with it.

Comment 2 Fedora Update System 2019-07-08 08:30:31 UTC
FEDORA-2019-c0d6ca5064 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c0d6ca5064

Comment 3 Fedora Update System 2019-07-09 01:21:57 UTC
lohit-devanagari-fonts-2.95.4-8.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c0d6ca5064

Comment 4 Fedora Update System 2019-07-09 03:19:44 UTC
lohit-devanagari-fonts-2.95.4-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fe90baac1

Comment 5 Fedora Update System 2019-08-26 00:51:48 UTC
lohit-devanagari-fonts-2.95.4-8.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.